---
title: OverconstrainedError.OverconstrainedError()
slug: Web/API/OverconstrainedError/OverconstrainedError
tags:
  - API
  - Audio
  - Constructor
  - Media
  - Media Capture and Streams API
  - Media Streams API
  - OverconstrainedError
  - Reference
  - Video
---
<div>{{securecontext_header}}{{APIRef("Media Capture and Streams")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>OverconstrainedError</code></strong> constructor creates a new {{domxref("OverconstrainedError")}} object which indicates that the set of desired capabilities for the current {{domxref("MediaStreamTrack")}} cannot currently be met. When this event is thrown on a <code>MediaStreamTrack</code>, it is muted until either the current constraints can be established or until satisfiable constraints are applied.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>OverconstrainedError</var> = new OverconstrainedError()</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>constraint</dt>
 <dd>The constraint that was not satified.</dd>
 <dt>message</dt>
 <dd>Text for the error's <code>message</code> property.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Capture','#dom-overconstrainederror-constructor','OverconstrainedError()')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.OverconstrainedError.OverconstrainedError")}}</p>
